@import url('https://fonts.googleapis.com/css2?family=Roboto&family=Open+Sans&family=Russo+One&family=Space+Grotesk:wght@400;500;700&display=swap');

:root{
    --line-border-fill: #3498db;
    --line-border-empty:#e0e0e0;
    --circle-selected-fill: 
}
*{
    box-sizing: border-box;
}
body {
    font-family: 'Roboto' , sans-serif;
    display: flex;
    flex-direction:column; 
    align-items: center;
    justify-content: center;
    height: 100vh;
    overflow: hidden;
    margin:0;
    background-color: #f6f7fb;
}

section.container{
    text-align: center;
}
.progress-container{
    display: flex;
    justify-content: space-between;
    position: relative;
    margin-bottom:30px;
    max-width: 100%;
    width:350px
}
/* container will have the background line */
.progress-container::before {
    content:'';
    background-color: #e0e0e0;
    position:absolute;
    top:50%;
    left:0;
    height:4px;
    width:100%;
    transform:translateY(-50%);
    z-index: -1;
}
/* blue line */
.progress{
    background-color: var(--line-border-fill);
    position:absolute;
    top:50%;
    left:0;
    height:4px;
    width:0%;
    transform:translateY(-50%);
    z-index: -1;
    transition:.4s ease-in
}

.circle{
   background-color: #fff;
   color:#999;
   border-radius: 50%;
   height: 30px;
   width:30px;
   display: flex;
   align-items: center;
   justify-content: center;
   border:3px solid var(--line-border-empty);
    /*for transition style */
   transition:.4s ease;
}

.circle.active{
    border-color: var(--line-border-fill);
}

/* buttons style */

.btn{
    background-color: var(--line-border-fill);
    color:#fff;
    border:0;
    border-radius: 6px;
    cursor:pointer;
    font-family:inherit;
    padding:8px 30px;
    margin:5px;
    font-size: 14px;
}
.btn:active{
    /* to add an effect like the buttom is really go down by click */
    transform:scale(0.98);
}
.btn:focus{
    outline:0;
}
.btn:disabled{
    background-color:var(--line-border-empty);
    cursor:not-allowed;
}